# class KIO.RenameDialogPlugin.FileItem

###

Table of contents
Modules
kio Classes
All Classes

Module | kio
Namespace | kio
Class | KIO.RenameDialogPlugin.FileItem
Inherits |

File Representation consisting of the KUrl, MimeType and filesize and the times of the last changes.

### methods

- FileItem (url, mimeSrc, a0, ctime, mtime)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  url | KUrl |
  mimeSrc | QString |
  a0 | KIO.filesize_t |
  ctime | time_t |
  mtime | time_t |

- cTime ()

  returns (time_t)

- fileSize ()

  returns (KIO.filesize_t)

- mTime ()

  returns (time_t)

- mimeType ()

  returns (QString)

- url ()

  returns (KUrl)